/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSValue_H__
#define __GdomCSSValue_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSValue GdomCSSValue;
typedef struct _GdomCSSValueClass GdomCSSValueClass;


#define GDOM_TYPE_CSS_VALUE            (gdom_css_value_get_type())
#define GDOM_CSS_VALUE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_VALUE, GdomCSSValue))
#define GDOM_CSS_VALUE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_VALUE, GdomCSSValue)Class)
#define GDOM_IS_CSS_VALUE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_VALUE))
#define GDOM_IS_CSS_VALUE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_VALUE))
#define GDOM_CSS_VALUE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_VALUE, GdomCSSValueClass))

typedef struct _GdomCSSValuePrivate GdomCSSValuePrivate;

struct _GdomCSSValue {
    GdomDOMObject parent_instance;
    GdomCSSValuePrivate *priv;
};

struct _GdomCSSValueClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_value_get_type (void);

G_END_DECLS

#endif /* __GdomCSSValue_H__ */
